Bug 627703 - (CVE-2010-1807) CVE-2010-1807 webkit: input validation error when parsing certain NaN values
CVE-2010-1807 webkit: input validation error when parsing certain NaN values
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100907,reported=20100817,sou...
: Security
Depends On: 640382 640385 640386
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 13:37 EDT by Vincent Danen
Modified: 2016-03-04 07:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 01:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-26 13:37:45 EDT
An input validation issue exists in WebKit's handling of floating point data types. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved validation of floating point values. Credit to Luke Wagner of Mozilla for reporting this issue.

References:

https://bugs.webkit.org/show_bug.cgi?id=43461
http://trac.webkit.org/changeset/64706
Comment 1 Vincent Danen 2010-09-08 13:43:57 EDT
This is now public:

http://support.apple.com/kb/HT4333
Comment 2 Vincent Danen 2010-10-05 12:24:33 EDT
This issue has been corrected in WebKitGTK 1.2.5.
Comment 3 Vincent Danen 2010-10-05 13:18:49 EDT
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]
Comment 5 errata-xmlrpc 2011-01-25 12:07:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html

Note You need to log in before you can comment on or make changes to this bug.